# Class ResponsiveComponents

This class serves as a way to get and set the different screen size breakpoints for the interface.

By setting those, you can impact, amongst others, the Facet's, Tab's or the ResultList's behaviour.

For example, the Facet components of your interface will switch to a dropdown menu when the screen size reaches 800px or less.

You could modify this value using `this` calls

Normally, you would interact with this class using the instance bound to SearchInterface.responsiveComponents

## Index

### Methods

- getMediumScreenWidth
- getResponsiveMode
- getSmallScreenWidth
- isLargeScreenWidth
- isMediumScreenWidth
- isSmallScreenWidth
- setMediumScreenWidth
- setSmallScreenWidth

## Methods

### getMediumScreenWidth

- getMediumScreenWidth(): number

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :88

  Get the current breakpoint for medium screen size.

  If it was not explicitly set by ResponsiveComponents.setMediumScreenWidth, the default value is `800`.

  #### Returns number

### getResponsiveMode

- getResponsiveMode(): ValidResponsiveMode

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :104

  Return the current responsive mode.

  #### Returns ValidResponsiveMode

### getSmallScreenWidth

- getSmallScreenWidth(): number

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :69

  Get the current breakpoint for small screen size.

  If it was not explicitly set by ResponsiveComponents.setSmallScreenWidth, the default value is `480`.

  #### Returns number

### isLargeScreenWidth

- isLargeScreenWidth(): boolean

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :138

  Return true if the current screen size is larger than the current breakpoint set for medium and small.

  #### Returns boolean

### isMediumScreenWidth

- isMediumScreenWidth(): boolean

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :124

  Return true if the current screen size is smaller than the current breakpoint set for medium screen width.

  #### Returns boolean

### isSmallScreenWidth

- isSmallScreenWidth(): boolean

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :112

  Return true if the current screen size is smaller than the current breakpoint set for small screen width.

  #### Returns boolean

### setMediumScreenWidth

- setMediumScreenWidth(width: number): void

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :47

  Set the breakpoint for medium screen size

  #### Parameters

  - ##### width: number

  #### Returns void

### setSmallScreenWidth

- setSmallScreenWidth(width: number): void

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :31

  Set the breakpoint for small screen size.

  #### Parameters

  - ##### width: number

  #### Returns void

### Hierarchy

- ResponsiveComponents